### DB->set_h_ffactor

`

###

    #include <db.h>

    int
    DB->set_h_ffactor(DB *db, u_int32_t h_ffactor);
    int

    DB->get_h_ffactor(DB *db, u_int32_t *h_ffactorp);

### Description: DB->set_h_ffactor

Set the desired density within the hash table. If no value is specified, the fill factor will be selected dynamically as pages are filled.

The DB->set_h_ffactor method configures a database, not only operations performed using the specified DB handle.

The DB->set_h_ffactor method may not be called after the DB->open method is called. If the database already exists when DB->open is called, the information specified to DB->set_h_ffactor will be ignored.

The DB->set_h_ffactor method returns a non-zero error value on failure and 0 on success.

### Parameters

h_ffactor
  The h_ffactor parameter is the desired density within the hash table.

  The density is an approximation of the number of keys allowed to accumulate in any one bucket, determining when the hash table grows or shrinks. If you know the average sizes of the keys and data in your data set, setting the fill factor can enhance performance. A reasonable rule computing fill factor is to set it to the following:

  >     (pagesize - 32) / (average_key_size + average_data_size + 8)

### Errors

The DB->set_h_ffactor method may fail and return one of the following non-zero errors:

EINVAL
  If the method was called after DB->open was called; or if an invalid flag value or parameter was specified.

### Description: DB->get_h_ffactor

The DB->get_h_ffactor method returns the hash table density.

The DB->get_h_ffactor method may be called at any time during the life of the application.

The DB->get_h_ffactor method returns a non-zero error value on failure and 0 on success.

### Parameters

h_ffactorp
  The DB->get_h_ffactor method returns the hash table density in h_ffactorp.

### Class

DB

### See Also

Databases and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.